com.icl.saxon

## Class PreviewManager

- java.lang.Object
- - com.icl.saxon.PreviewManager

-     public class PreviewManager
      extends java.lang.Object

  PreviewManager handles the registration of preview elements for use by the Builder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreviewManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPreviewMode()`
    `boolean` | `isPreviewElement(int fingerprint)` Determine whether an element is a preview element.
    `void` | `setPreviewElement(int fingerprint)` Register an element as a preview element.
    `void` | `setPreviewMode(int mode)` Define the mode that will be used for previewing elements.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PreviewManager

          public PreviewManager()

  - ### Method Detail

    - #### setPreviewMode

          public void setPreviewMode(int mode)

      Define the mode that will be used for previewing elements. The node handler for these elements is called while the tree is being built, as soon as the element end tag is encountered.
      Parameters:
        `mode` - The nameCode of the mode to be used

    - #### getPreviewMode

          public final int getPreviewMode()

    - #### setPreviewElement

          public void setPreviewElement(int fingerprint)

      Register an element as a preview element. If an element is so registered, the relevant node handler for preview mode will be called as soon as the element's end tag is read. The node handler must be registered in the normal way

    - #### isPreviewElement

          public boolean isPreviewElement(int fingerprint)

      Determine whether an element is a preview element.